#!/bin/sh

# This script is public domain. There is no warranty.


BASENAME="sosl70c"

#########
# tex4ht
#

# One page

rm -f ${BASENAME}.aux ${BASENAME}.bbl ${BASENAME}.blg ${BASENAME}.dvi ${BASENAME}.log ${BASENAME}.pdf ${BASENAME}.ps ${BASENAME}.toc ${BASENAME}.lot

rm -f *.aux *.bbl *.blg *.brf

rm -f ${BASENAME}.css ${BASENAME}*.html ${BASENAME}*.gif ${BASENAME}.idv ${BASENAME}.lg ${BASENAME}.tmp ${BASENAME}.xref ${BASENAME}.4ct ${BASENAME}.4tc

#htlatex ${BASENAME}.tex "fn-in,xhtml,uni-html" " -cunihtf -cmozhtf"
htlatex ${BASENAME}.tex "xhtml,uni-html" " -cunihtf -cmozhtf"
bibtex ${BASENAME}
./bibtexall
#htlatex ${BASENAME}.tex "fn-in,xhtml,uni-html" " -cunihtf -cmozhtf"
htlatex ${BASENAME}.tex "xhtml,uni-html" " -cunihtf -cmozhtf"

mkdir html.tex4ht.dir 2> /dev/null
mv -f ${BASENAME}*.html *.css ${BASENAME}*.gif html.tex4ht.dir/

rm -f ${BASENAME}.idv ${BASENAME}.lg ${BASENAME}.tmp ${BASENAME}.xref ${BASENAME}.4ct ${BASENAME}.4tc

rm -f ${BASENAME}.aux ${BASENAME}.bbl ${BASENAME}.blg ${BASENAME}.dvi ${BASENAME}.log ${BASENAME}.pdf ${BASENAME}.ps ${BASENAME}.toc ${BASENAME}.lot

rm -f *.aux *.bbl *.blg *.brf

# Multiple pages: 1

#htlatex ${BASENAME}.tex "fn-in,xhtml,uni-html,1" " -cunihtf -cmozhtf"
htlatex ${BASENAME}.tex "xhtml,uni-html,1" " -cunihtf -cmozhtf"
bibtex ${BASENAME}
./bibtexall
#htlatex ${BASENAME}.tex "fn-in,xhtml,uni-html,1" " -cunihtf -cmozhtf"
htlatex ${BASENAME}.tex "xhtml,uni-html,1" " -cunihtf -cmozhtf"

mkdir html.tex4ht.split1.dir 2> /dev/null
mv -f ${BASENAME}*.html *.css ${BASENAME}*.gif html.tex4ht.split1.dir/

rm -f ${BASENAME}.idv ${BASENAME}.lg ${BASENAME}.tmp ${BASENAME}.xref ${BASENAME}.4ct ${BASENAME}.4tc
rm -f ${BASENAME}.aux ${BASENAME}.bbl ${BASENAME}.blg ${BASENAME}.dvi ${BASENAME}.log ${BASENAME}.pdf ${BASENAME}.ps ${BASENAME}.toc ${BASENAME}.lot
rm -f *.aux *.bbl *.blg *.brf

# Multiple pages: 2

##htlatex ${BASENAME}.tex "fn-in,xhtml,uni-html,2" " -cunihtf -cmozhtf"
#htlatex ${BASENAME}.tex "xhtml,uni-html,2" " -cunihtf -cmozhtf"
#bibtex ${BASENAME}
#./bibtexall
##htlatex ${BASENAME}.tex "fn-in,xhtml,uni-html,2" " -cunihtf -cmozhtf"
#htlatex ${BASENAME}.tex "xhtml,uni-html,2" " -cunihtf -cmozhtf"
#
#mkdir html.tex4ht.split2.dir 2> /dev/null
#mv -f ${BASENAME}*.html *.css ${BASENAME}*.gif html.tex4ht.split2.dir/
#
#rm -f ${BASENAME}.idv ${BASENAME}.lg ${BASENAME}.tmp ${BASENAME}.xref ${BASENAME}.4ct ${BASENAME}.4tc
#rm -f ${BASENAME}.aux ${BASENAME}.bbl ${BASENAME}.blg ${BASENAME}.dvi ${BASENAME}.log ${BASENAME}.pdf ${BASENAME}.ps ${BASENAME}.toc ${BASENAME}.lot
#rm -f *.aux *.bbl *.blg *.brf


##htlatex ${BASENAME}.tex 'xhtml,ooffice' '-cmozhtf' '-coo'
##rm -f ${BASENAME}.idv ${BASENAME}.lg ${BASENAME}.tmp ${BASENAME}.xref ${BASENAME}.4ct ${BASENAME}.4tc
##rm -f ${BASENAME}.aux ${BASENAME}.bbl ${BASENAME}.blg ${BASENAME}.dvi ${BASENAME}.log ${BASENAME}.pdf ${BASENAME}.ps ${BASENAME}.toc ${BASENAME}.lot
##rm -f *.aux *.bbl *.blg *.brf

########
# HeVeA
#
#

#rm -f ${BASENAME}.haux ${BASENAME}.htoc ${BASENAME}.image.tex ${BASENAME}*.png

#hevea -fix -O -pedantic ${BASENAME}.tex

#mkdir html.hevea.dir 2> /dev/null
#mv -f ${BASENAME}.html *.png html.hevea.dir/

#mkdir html.hevea.split.dir 2> /dev/null
#cp html.hevea.dir/* html.hevea.split.dir/
#cd html.hevea.split.dir
#hacha ${BASENAME}.html
#cd ..

#rm -f ${BASENAME}.txt

#hevea -text ${BASENAME}.tex
#hevea -text ${BASENAME}.tex

#rm -f ${BASENAME}.haux ${BASENAME}.htoc ${BASENAME}.image.tex ${BASENAME}*.png ${BASENAME}.image.out

########
# LaTeX
#

rm -f ${BASENAME}.aux ${BASENAME}.bbl ${BASENAME}.blg ${BASENAME}.dvi ${BASENAME}.log ${BASENAME}.out ${BASENAME}.pdf ${BASENAME}.ps ${BASENAME}.toc ${BASENAME}.lot
rm -f *.aux *.bbl *.blg *.brf *.tmp

latex -file-line-error-style ${BASENAME}.tex
bibtex ${BASENAME}
./bibtexall
latex -src-specials -file-line-error-style ${BASENAME}.tex
latex -src-specials -file-line-error-style ${BASENAME}.tex
latex -src-specials -file-line-error-style ${BASENAME}.tex
latex -src-specials -file-line-error-style ${BASENAME}.tex

#if test -f /etc/texmf/dvips/config.cm-super
#then
#    echo "cm-super found"
#    CMSUPER="-Pcm-super"
#else
#    echo "cm-super not found"
#    CMSUPER=""
#fi
CMSUPER="-Pcm-super"

#dvips -Ppdf -Pcmz -Pamz -G0 -j0 -f -t a4 -o ${BASENAME}.ps ${BASENAME}.dvi
#dvips -z -Ppdf -Pwww -Pcmz -Pamz -Poutline -Pcm-lgc -Phfbright $CMSUPER -G0 -j0 -f -t a4 -D 1200 -Z -o ${BASENAME}.ps ${BASENAME}.dvi
dvips -z -Ppdf -Pwww -Pcmz -Pamz -Poutline -Pcm-lgc -Phfbright $CMSUPER -G0 -j0 -f -t a4 -Z -o ${BASENAME}.ps ${BASENAME}.dvi

########
# PDF

rm -f ${BASENAME}.aux ${BASENAME}.bbl ${BASENAME}.blg ${BASENAME}.log ${BASENAME}.out ${BASENAME}.pdf ${BASENAME}.toc ${BASENAME}.lot
rm -f *.aux *.bbl *.blg *.brf *.tmp

pdflatex -file-line-error-style ${BASENAME}.tex
bibtex ${BASENAME}
./bibtexall
pdflatex -file-line-error-style ${BASENAME}.tex
pdflatex -file-line-error-style ${BASENAME}.tex
pdflatex -file-line-error-style ${BASENAME}.tex
pdflatex -file-line-error-style ${BASENAME}.tex

mv ${BASENAME}.pdf ${BASENAME}.screen.pdf

ps2pdf14 -dMaxSubsetPct=100 -dSubsetFonts=true -dEmbedAllFonts=true ${BASENAME}.ps

mv ${BASENAME}.pdf ${BASENAME}.print.pdf


########################
# Macromedia Flash (!!!)
#

pdf2swf -f -F /usr/share/texmf/fonts/type1/public/cm-super -t sosl70c.screen.pdf

mv ./sosl70c.screen.swf ./swf/

##########

rm -f ${BASENAME}.aux ${BASENAME}.bbl ${BASENAME}.blg ${BASENAME}.log ${BASENAME}.out ${BASENAME}.toc ${BASENAME}.lot
rm -f *.aux *.bbl *.blg *.brf

######
# hnb
#

rm -f gradu.opml gradu.html gradu.css.html gradu.txt
hnb gradu.hnb -e 'go root' 'export_opml gradu.opml' 'export_html gradu.html' 'export_ascii gradu.txt' 'export_htmlcss gradu.css.html'


